---
updatedAt: 2026-08-10T08:11:24.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get Permission Details by Permission Name

Get the details of a permission by permission name.


**Security:** Requires admin privileges, or a scoped token with
`system:permissions:r`.


**Availability:** Artifactory 7.72.0+


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Permissions API",
    "description": "Permission management APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n\n**Security:** Unless otherwise specified, all APIs require admin privileges.\n\n**Availability:** Artifactory 7.72.0+\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Permissions",
      "description": "APIs for creating, updating, deleting, and managing JFrog Platform permission targets and resources."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v2/permissions/{permissionName}": {
      "get": {
        "tags": [
          "Permissions"
        ],
        "summary": "Get Permission Details by Permission Name",
        "description": "Get the details of a permission by permission name.\n\n\n**Security:** Requires admin privileges, or a scoped token with\n`system:permissions:r`.\n\n\n**Availability:** Artifactory 7.72.0+\n",
        "operationId": "getPermissionDetails",
        "parameters": [
          {
            "name": "permissionName",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The permission name"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PermissionDetails"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input"
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - Permission not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "PermissionDetails": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Permission name"
          },
          "resources": {
            "type": "object",
            "properties": {
              "artifact": {
                "$ref": "#/components/schemas/PermissionResource"
              },
              "build": {
                "$ref": "#/components/schemas/PermissionResource"
              },
              "release_bundle": {
                "$ref": "#/components/schemas/PermissionResource"
              }
            }
          }
        }
      },
      "PermissionResource": {
        "type": "object",
        "properties": {
          "actions": {
            "description": "User and group action grants for this resource type",
            "$ref": "#/components/schemas/Actions"
          },
          "targets": {
            "type": "object",
            "description": "Map of target names to their include/exclude patterns",
            "additionalProperties": {
              "$ref": "#/components/schemas/Patterns"
            }
          }
        }
      },
      "Actions": {
        "type": "object",
        "properties": {
          "users": {
            "type": "object",
            "description": "Map of username to allowed actions",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          "groups": {
            "type": "object",
            "description": "Map of group name to allowed actions",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        }
      },
      "Patterns": {
        "type": "object",
        "properties": {
          "include_patterns": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Include patterns"
          },
          "exclude_patterns": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Exclude patterns"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```